Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.xpath
Class XPathUnsupportedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--antlr.ANTLRException
                        |
                        +--antlr.TokenStreamException
                              |
                              +--weblogic.xml.xpath.XPathException
                                    |
                                    +--weblogic.xml.xpath.XPathUnsupportedException

public final class XPathUnsupportedException
extends XPathException

Exception thrown when an attempt is made to parse an XPath which contains expressions that cannot be supported by the chosen document-inspection model.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`XPathUnsupportedException(java.lang.String msg)`
`XPathUnsupportedException(java.lang.String msg, java.lang.Throwable nested)`

Methods inherited from class weblogic.xml.xpath.XPathException
`getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathUnsupportedException

    public XPathUnsupportedException(java.lang.String msg)

### XPathUnsupportedException

    public XPathUnsupportedException(java.lang.String msg,
                                     java.lang.Throwable nested)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD